Subject: [Sip] Current SIP status

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Tue, 24 Mar 2009 02:37:56 +0100

(As WG chair)

This is my current understanding of the status of the SIP deliverables

regards

Keith

Documents published since IETF #73 (4 documents)
------------------------------------------------

draft-ietf-sip-answermode-07 (Proposed standard)
Published as RFC 5373
Andrew Allen, Dean Willis

draft-ietf-sip-hitchhikers-guide-05 (Informational)
Published as RFC 5411
Jonathan Rosenberg

draft-ietf-sip-rph-new-namespaces-04 (Proposed standard)
Published as RFC 5478
James Polk

draft-ietf-sip-fork-loop-fix-08 (Proposed standard)
Published as RFC 5393
Robert Sparks, Scott Lawrence, Alan Hawrylyshen, Brian Campen

Documents in RFC editor's queue (6 documents)
---------------------------------------------

draft-ietf-sip-gruu-15 (Proposed standard)
Keith Drage is document shepherd
Currently in state: In RFC Editor's Queue - MISSREF (waiting for draft-ietf-sip-outbound).

draft-munakata-sip-privacy-guideline (Informational)
Individual submission to RFC editor. Not from SIP WG.
Currently in state: In RFC Editor Queue in AUTH48

draft-ietf-sip-ice-option-tag-02 (Proposed standard)
Keith Drage is PROTO document shepherd
Currently in state: In RFC Editor Queue

draft-ietf-sip-sips-09 (Proposed standard)
Dean Willis is PROTO document shepherd
Currently in state: In RFC Editor's Queue - MISSREF (waiting for draft-ietf-sip-outbound).

draft-ietf-sip-media-security-requirements-09 (Informational)
Dean Willis is PROTO document shepherd
Currently in state: In RFC Editor Queue in AUTH48

draft-ietf-sip-dtls-srtp-framework-07 (Proposed standard)
Dean Willis is PROTO document shepherd
Currently in state: In RFC Editor Queue

Documents with IESG (7 documents)
----------------------------------

draft-ietf-sip-certs-07 (Proposed standard)
Dean Willis is PROTO document shepherd
Publication requested 1st February 2008.
Jon Peterson is responsible AD.
Currently in state: Waiting for AD Go-Ahead

draft-ietf-sip-xcapevent-04 (Proposed standard)
Dean Willis is document shepherd
OMA liaison - interaction with draft-ietf-simple-xcap-diff
Publication requested 2nd July 2008
Currently in state: IESG Evaluation:: Revised ID Needed

draft-ietf-sip-outbound-16 (Proposed standard)
Publication requested 28th July 2008
Dean Willis is PROTO document shepherd
Currently in state: Publication requested

draft-ietf-sip-connect-reuse-13
Candidate: Proposed standard
Publication requested 24th October 2008
Keith Drage is PROTO document shepherd
Currently in state: AD Evaluation:: AD Followup

draft-ietf-sip-session-policy-framework-05
Candidate: Proposed standard
Publication requested 1st November 2008
Keith Drage is PROTO document shepherd
Currently in state: IESG Evaluation:: Revised ID Needed

draft-ietf-sip-record-route-fix-06
Candidate: Best Current Practice
Publication requested 16th March 2009
Dean Willis is PROTO document shepherd
Currently in state: Publication requested

draft-ietf-sip-body-handling-06
Candidate: Proposed standard
Publication requested 11th March 2009
Currently in state: Publication requested

Documents returned to the WG from IESG (1 document)
---------------------------------------------------

draft-ietf-sip-e2m-sec-06 (Proposed standard)
Dean Willis is PROTO document shepherd 
IESG last call completed 14th May 2007. No last call comments. Problems with proposed standard status
See draft-draft-rai-sip-header-process for possible process changes to allow progressing as experimental
Current status: Dead

Documents finished in the WG, awaiting submission to IESG (3 documents)
-------------------------------------------------------------------------

draft-ietf-sip-domain-certs-02
Candidate: Informational ? Proposed standard
Milestone for WGLC November 2007
WGLC initiated 22nd February 2008 to complete 7th March 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG September 2008

draft-ietf-sip-eku-03
Candidate: Proposed standard
Milestone for WGLC November 2007
WGLC initiated 22nd February 2008 to complete 7th March 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG September 2008

draft-ietf-sip-subnot-etags-03
Agreed as WG item (subject to AD) at IETF#67
Candidate: proposed standard
September 2007 -- Extension for use of etags in conditional notification to WGLC
WGLC initiated 4th September 2007 to complete 18th September 2007
Dean Willis is PROTO document shepherd
December 2007 -- Extension for use in etags in conditional notification to IESG (PS)

Documents in working group last call (5 documents)
--------------------------------------------------

draft-ietf-sip-location-conveyance-13
Candidate: Proposed standard
Milestone for submission to IESG is December 2008
WGLC initiated 4th March 2007 to complete 2nd April 2007. WGLC initiated 16th March 2009 to complete 23rd March 2009
Keith Drage is PROTO document shepherd

draft-ietf-sip-saml-06
Candidate: Experimental
Milestone for submission to IESG is December 2008
WGLC initiated 4th November 2008 to complete 18th November 2008
Keith Drage is PROTO document shepherd

draft-ietf-sip-199-06
Candidate: Proposed standard
WGLC initiated 4th November 2008 to complete 18th November 2008
Keith Drage is PROTO document shepherd
Milestone for submission to IESG Nov 2008

draft-ietf-sip-ua-privacy-06
Candidate: Informational
Milestone for submission to IESG April 2009
Keith Drage is PROTO document shepherd
WGLC initiated 17th February 2009 to complete 2nd March 2009 on -03 version

draft-ietf-sip-info-events-03
Candidate: Proposed standard
WGLC initiated 16th February 2009 to complete 4th March 2009 on -03 version
Milestone for submission to IESG is April 2009
Keith Drage is PROTO document shepherd

Documents still in discussion in working group (2 documents)
------------------------------------------------------------

draft-ietf-sip-sec-flows-01
Candidate: Informational
Milestone for WGLC is March 2009
Milestone for submission to IESG is July 2009
To a certain extent dependent on resolution of ideas in (and therefore waiting on them):
draft-ietf-sip-sips-02  
draft-gurbani-sip-domain-certs-04 
Dean Willis is PROTO document shepherd
Draft expired and removed from drafts directory 

draft-rosenberg-sip-target-uri-delivery-01 
Agreed as WG item at IETF#67
Candidate: proposed standard
December 2008: Delivering request-URI and parameters to UAS via proxy to WGLC
February 2009: Delivering request-URI and parameters to UAS via proxy to IESG (PS)
Dean Willis is PROTO document shepherd

Other WG work
--------------

Essential corrections
Milestone: 1st batch to IESG in March 2009
Robert Sparks to be lead editor
Process in draft-drage-sip-essential-correction-03
Will roll in RFC 3420 and draft-ietf-sip-fork-loop-fix in first published version of RFC 3261 update
See: http://www.softarmor.com/mediawiki/index.php/Essential_Corrections_Tracking
Current documents under consideration:
draft-ietf-sip-ipv6-abnf-fix-02 (WGLC complete)
draft-sparks-sip-invfix-03 (WGLC complete but revised)
Keith Drage is PROTO document shepherd

Identify requirements for test matrix to move SIP to Draft Standard
Milestone March 2009
Robert Sparks coordinating input
Draft-sparks-sip-steps-to-draft-00 contains a proposal
Now updated to:
draft-sparks-sip-3261-interop-statement-00 
draft-sparks-sip-3261-norm-ref-status-00